#include <bits/stdc++.h>

using namespace std;

int main()
{ long long n, k, i, sum, sq, a, b, c, m, br, t, provera, maxa, deli, s, puta, brgrupa, x1, x2, y1, y2;
  bool tf, naso;
  string str, s1, s2;
  cin>> x1>> y1>> x2>> y2;
  if(x1==x2)cout<<2;
  else if(y1==y2)cout<<2;
  else if(abs(x1-x2)==abs(y1-y2))cout<<1;
  else cout<<0;

  return 0;
}